One post with every language edition.
GET
/apps/blog/posts/{id}
const url = 'https://your-store.myciqra.com/apps/blog/posts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-store.myciqra.com/apps/blog/posts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Required scope: read_blogs — an installation token without it receives 403.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
bannerImageKey
required
null | string
baseSlug
required
string
categoryIds
required
Array<string>
coverImageKey
required
null | string
defaultLocale
required
string
editions
required
Array<object>
object
bannerImageKey
required
null | string
coverImageKey
required
null | string
excerpt
required
null | string
hasBody
required
boolean
locale
required
string
metaDescription
required
null | string
metaTitle
required
null | string
publishedAt
required
null | string format: date-time
slug
required
null | string
title
required
null | string
excerpt
required
null | string
id
required
string format: uuid
metaDescription
required
null | string
metaTitle
required
null | string
publishedAt
required
null | string format: date-time
status
required
string
tagIds
required
Array<string>
title
required
string
Examplegenerated
{ "bannerImageKey": "example", "baseSlug": "example", "categoryIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "coverImageKey": "example", "defaultLocale": "example", "editions": [ { "bannerImageKey": "example", "coverImageKey": "example", "excerpt": "example", "hasBody": true, "locale": "example", "metaDescription": "example", "metaTitle": "example", "publishedAt": "2026-04-15T12:00:00Z", "slug": "example", "title": "example" } ], "excerpt": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metaDescription": "example", "metaTitle": "example", "publishedAt": "2026-04-15T12:00:00Z", "status": "example", "tagIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "title": "example"}Not Found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}